Subject: Patents? we don't need no stinking Patents!

From: [email-masked] (Dan Kolis)
Date: Fri, 2 Apr 2004 11:32:43 -0500

Dean Anderson said, and is ">"
  >While finding prior art is hard problem in any field, it would be helpful
  >if the Patent Office hired more experts in the fields that they offer
  >patents in, and in particular, more computer scientists.  

Dan says:
In the above, a chemist would substitute "Chemist" for computer scientist, a
Mechanical engineer the same. Obviously, the patent inspectors know there is
probably public domain material, but it doesn't seem like they have a
reasonable access to it. The review process looks degrading to the patent
inspector if the applicant goes over their head in their internal appeals
process. So its easier to grant it. Plus, the funding, as per much of
federal funding U.S. policies, is stupid. The fees don't "go" for the work
done. { long story }. So, no matter how much the application costs; ( medium
costly depends on # of claims, mostly), no inspector gets a leisurely trip
down to Walmart to see about a shelf full of "prior art".

Dean says:
  >Such patents as this are clearly mistakes, and are frequently overturned
  >on review. 

Dan says:
As a reality check I just walked over to a desk here and touched an object
recently contested in a Patent battle. *any* trip to a flea market could
fill a pickup truck of goods built before 1940 that show the patent is at
least partially invalid. (some claims... stink). But, the Grantee won. Why?
Its cheaper to be right and lose, then pay a license fee... than be right
and win.

Dean says:
  >if you file right before product
  >release, and that product catches on. 18 months is a long time for
  >software. 30 months, and you are into lifecycle maturity. You've already
  >made commitments to using the software.  Now you have to pay whatever they
  >want to charge.  If the patent is solid, there is no way out, not even for 
  >OJ or MJ, or BG for that matter.

Dan says:
The general principle is built on pain and suffering. The trick is, (like
Sam Ting said about how to win Nobel prizes: "I think you should be first,
and be right"). "Interference" is super complicated, when they actually
overlap like you described. I think if I remember correctly, it happens in
about 5% of the cases, so its a lot. No doubt, its a pipeline, so one begins
to wonder what public interest is served with long delays... I can't think
of any. A usual way to deal with the reality is to use the granted one as a
citation, make a trivial improvement, and now you have reset the clock 2
years or so. Of course, if there are real damages, all this is retroactive,
plus often a bonus multiplier of 1:3 for being a evil-doer, so its a
financial burden.

Dean says:
  >But anything halfway novel, and new. Well, that is another 
  >story:  Patent it or someone else will.

Dan says:
What is "Obvious to one practised in the art"; (which is the US PTO test for
novelty). Our patent attorney says if it takes more than 45 seconds for the
dumbest person actually employed in that field to figure it out, then its
not "obvious". 

Who know for sure, but I doubt this was the intention 300 years ago when
this concept emerged.

(*) 45 seconds is "not" a lot of head scratching.
(*) The dumbest person employed in a field is not about best of breed ideas.

But Biochem, design, and general patents have slightly different time frames
and admisability rules, so maybe this is a little bit of a start. Improve
the system like so?

(*) Second dumbest person
(*) 1.5 minutes of thinking
(*) Different durations for different kinds of patents. Maybe software
should be sort enough to make it functionless completely. That would suit me
fine. I think many good programs behind the scenes do things in non-obvious
ways, but somehow because someone else stumbles into the same proceedure, it
just doesn't seem like patentable material to me, at all. 

XOR operations for a blinking cursor? Can you think of another way NOT to do
that?

Dan

---

From: "Eric Burger" <[email-masked]>
Date: Mon, 12 Apr 2004 10:26:45 -0400

Prior to 2000, the USPTO required a patent examiner to have a Master's degree in *Engineering*.  Unfortunately, since universities only granted Computer *Science* degrees, no CS grads in the patent office.

After 2000, the USPTO said that a Master's in Computer Science counted.

That said, when I last looked (around 2000), the starting salary for a patent examiner was in the neighborhood of $56,000 per year.  That is a little more than what a high school science teacher makes in Fairfax County (near the USPTO).

Old information, FWIW.

> -----Original Message-----
> From: Dean Anderson [mailto:[email-masked]]
> Sent: Sunday, April 04, 2004 11:12 PM
> To: Dan Kolis
> Cc: [email-masked]
> Subject: Re: Patents? we don't need no stinking Patents!
> 
> 
> On Fri, 2 Apr 2004, Dan Kolis wrote:
> 
> > Mechanical engineer the same. 
> 
> Well, the PTO actually hires Chemists and Mechanical 
> Engineers to review
> patents in those fields. But it does not hire Computer Scientists.  At
> least, it didn't. I don't think anyone's checked in a few 
> years, but we
> also haven't been told that this has changed.
> 
> > Obviously, the patent inspectors know there is probably 
> public domain
> > material, but it doesn't seem like they have a reasonable 
> access to it.
> 
> One might think so. It is more likely a result of not having people
> trained in computer science analyzing software patents. 
> Perhaps having too
> much work to do.
> 
> > The review process looks degrading to the patent inspector if the
> > applicant goes over their head in their internal appeals 
> process.  So
> > its easier to grant it.
> 
> I don't think this the case. One nearly always has a recourse 
> to challenge
> a government decision. There is nothing degrading about doing 
> so.  I think
> most government bureaucrats try to do a good job, even if its 
> in a field
> they aren't trained for.  But their lack of training in the field is a
> policy problem.  It doesn't mean there is anything inherently 
> wrong with
> the patent system.
> 
> Human failures sometimes mean there is something wrong with 
> the system. It
> could be the case that the system promotes human failures, 
> like the Airbus
> autopilot user interface that led pilots to mistakely enter 
> 3500 feet per
> minute descent rate instead of 3.5 degrees down decent. This led to at
> least one crash and several near accidents. The system was 
> fixed, so that
> humans were less likely to fail. On the other hand, the 
> aircraft that hit
> the WTC performed perfectly. There was nothing wrong with the 
> airplanes.
> 
> Similarly, if you have monkeys instead of railroad engineers, 
> it doesn't
> mean the concept of trains and railroads is flawed. It means that the
> policy of hiring monkeys instead of trained professionals is 
> flawed.  And
> by "monkeys", I don't mean to be perjorative. Albert Einstein 
> wouldn't be
> safe driving a train, even though he wrote a lot about train cars and
> railroad embankments. Its a matter of training and knowledge base.
> 
> In our instant case, while the policies are harmful and the computer
> science training insufficient, this is a relatively minor 
> problem. It is
> the system itself that is flawed.  We do not want to focus on the
> policies, except to say that they are relatively unimportant, 
> though they
> do create a negative.  Even if the policies were changed, it 
> is ultimately
> hard to avoid the problem of bad patents entirely and I don't expect
> that's possible.
> 
> There have been people who have filed purposefully 
> embarrassing patents,
> but I don't encourage this. In fact, I strongly discourage 
> it. Sabotaging
> the system never helps change it.  In fact it hurts, because then the
> proponents can claim that its problems are due to the sabotage, not to
> anything inherently wrong with the system.
> 
> > Dean says:
> True, "The right thing" doesn't always prevail. But I think it usually
> prevails.  But these sort of mistakes are 
> administrative--there are human
> failings in _any_ system.  In principle, one can't criticize 
> 'the system'
> for human failing, because only the humans failed.  There is 
> a difference
> between the system and the operation of the system.  We can and do
> criticize the operators for having too many human failings.  This is a
> reason to change the policies of the operators, but not a 
> reason to change
> the system.  We seek primarily to change the system, and want 
> to focus on
> that.
> 
> > Dean says:
> > of any.
> The delay isn't an "intentional" delay, in the sense that 
> they just sit on
> it for 18 months. The delay is to process the paperwork and review the
> patent.  The delay is also due to a backlog of work.  Its no 
> different (in
> principle) than if you file for a building permit: you don't 
> get it same
> day. It takes a bit. If there is a backlog, it takes longer.  
> At the PTO,
> it generally takes 18 months, but occasionally takes 5 years. 
> (There are
> exceptions having to do with classified technology that can 
> take much more
> time--effectively unlimited time, but I'll ignore those)
> 
> > A usual way to deal with the reality is to use the granted one as a
> True. Though anyone can do this. If you want to screw your 
> competitor, or
> buy a company at a discount, you can file for the improvement 
> and prevent
> them from using it.  I suppose it is a financial burden, or an income
> source for patent attorneys.  The counter argument is that people were
> still spurred to invent new things, and to make improvements, and of
> course, inventors are motivated to work harder and file sooner for the
> enhancements to prevent competitors from doing so. So in 
> fact, the patent
> system is "working" in this case and promoting progress. This 
> is just sort
> of the "Stick"  side of it.  "Innovate or Die" makes 
> progress. You may not
> like that, but it isn't a strong argument to change the patent system.
> 
> > Dean says:
> Well, that's not the test that the patent office uses, thankfully.
> 
> Also, keep in mind that my comment is about the first-to-file system,
> which hasn't been passed into law yet, in the US.  Though, it 
> is fair to
> say that even the current system strongly encourages patent 
> filing over
> public domain publishing.  For example, if someone else gets a similar
> patent, and you have published in the public domain, your 
> only recourse is
> to challenge the validity of the patent, and you have very 
> little leverage
> with which to negotiate a cross license. If you had instead 
> filed for a
> patent, you would have some leverage to counter sue them for 
> infringement,
> and probably obtain a cross license.  This creates a strong incentive
> against putting things in the public domain.
> 
> Actually, the intention (more than 300 years ago) was to 
> create arbitrary
> monopolies. Patents were gifts of the King--you got to be the 
> exclusive
> maker of shoes, for example. It was a way to reward subjects 
> and enrich
> them. It had nothing to do with invention.  The concept was 
> changed, in
> the US constitution, to have a more beneficial purpose, limited to 
> inventions, and for limited times.
> 
> I think many people would find a 3 year software patent much more
> acceptable. But the problem is, once you get into such a 
> short time frame,
> it is even harder for the government to keep up. It would be truly
> unacceptable to have a 3 year patent granted 18 months into a 36 month
> term.  The alternative is then an "accelerated review process". The
> problem with that is that it is even more susceptible to bad 
> patents.  
> And there is even less reason to challenge them, versus pay them for 3
> years.  This also runs afoul of GATT obligations, I think, since the
> "normalized" term is 20 years, and there aren't provisions for varying
> terms.
> 
> Most people think of the patent system in relation to 
> inventors. But the
> major users are venture capitalists. They use the patent 
> system to justify
> their investments. That is why the patent system can't just 
> be abandoned
> or changed capriciously. Doing so would cause economic chaos. 
>  Like any
> function of government, the people who have the most money 
> involved tend
> to be the movers and shakers of the policy.  If the VC lose 
> interest in
> software patents (and there are indications they are), then 
> there is very
> little reason to have them at all.  The remaining players are 
> basically
> the inventors and the lawyers.  There is an argument that the patent
> system protects the inventor from unscrupulous people who simply have
> superior manufacturing and distribution capabilities.  This is hard
> discount completely, and I think there is a legitimate 
> concern about the
> unscrupulous profit on truly novel ideas.  But it clearly 
> becomes an issue
> of governance--is it economical for the government or the inventor to
> invest the time and expense for a patent application for a 
> product that
> has a useful lifetime measured in months?
> 
> As soon as you drop the time limit to a major fraction of the 
> processing
> time, and lose the interest of the major players, there is 
> little purpose
> in having a software patent system.  The value of a true 20 
> year monopoly
> is significant. It justifies significant government and legal expense,
> both in creating and overturning, and in defending against 
> infringement.  
> The value of a 3 year monopoly is much less so. It basically become a
> government jobs program, but there are no computer scientists 
> employed by
> the PTO to keep employed. And given the backlog of patent 
> applications in 
> all fields, it would be better for other patent system users 
> to not have 
> software patents crowding the works.
> 
> Yes. You can redraw the entire screen.  You can save and restore the
> entire contents under the cursor without XOR. You can make 
> the cursor an
> analog sprite, drawn over the image as an added analog 
> signal. There are
> other ways, but XOR is clearly, _obviously_, the easiest way 
> to do it. It
> is not the only way. Its just the obviously best way. There is nothing
> novel about the application of existing mathematics to 
> cursors. That is 
> expected.
> 
> The XOR patent was finally reviewed and revoked.  We used this as an
> example of an obviously bad patent for a long time.  But as I said,
> mistakes are reasons to change the policies that govern the 
> operation of
> the system. They are not reason to change the system itself.  A
> knowledgeable computer scientist working in the PTO would never have
> approved that patent.
> 
> And as I said earlier, it is not the obviously mistaken patents that
> concern me most. I am concerned most with the genuinely novel software
> patents, and how a monopoly granted 18 to 30 months after its 
> introduction
> could impact the industry, the economy, the users, and the 
> programmers.  
> A novel software patent is a lot more similar to the 
> airplanes that hit
> the WTC, without the murderous intent. The system can be 
> expected to work
> perfectly, with disastrous results.
> 
> 		--Dean 
> 
> 
> 
>

---

From: "Eric Burger" <[email-masked]>
Date: Mon, 12 Apr 2004 10:26:45 -0400

Old information, FWIW.